<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.izouma.awesomeadmin.dao.ArContentChildMapper" >
    <resultMap id="BaseResultMap" type="com.izouma.awesomeadmin.model.ArContentChild" >
                <id column="id" property="id" jdbcType="INTEGER" />
                                        <result column="del_flag" property="delFlag" jdbcType="CHAR" />
                                <result column="update_time" property="updateTime" jdbcType="TIMESTAMP" />
                                <result column="update_user" property="updateUser" jdbcType="VARCHAR" />
                                <result column="create_time" property="createTime" jdbcType="TIMESTAMP" />
                                <result column="create_user" property="createUser" jdbcType="VARCHAR" />
                                <result column="ar_content_id" property="arContentId" jdbcType="VARCHAR" />
                                <result column="type" property="type" jdbcType="VARCHAR" />
                                <result column="remark1" property="remark1" jdbcType="VARCHAR" />
                                <result column="remark2" property="remark2" jdbcType="VARCHAR" />
                                <result column="remark3" property="remark3" jdbcType="VARCHAR" />
                                <result column="remark4" property="remark4" jdbcType="VARCHAR" />
                                <result column="remark5" property="remark5" jdbcType="VARCHAR" />
                                <result column="remark6" property="remark6" jdbcType="VARCHAR" />
                                <result column="remark7" property="remark7" jdbcType="VARCHAR" />
                                <result column="remark8" property="remark8" jdbcType="VARCHAR" />
                                <result column="remark9" property="remark9" jdbcType="VARCHAR" />
                                <result column="remark10" property="remark10" jdbcType="VARCHAR" />
                                <result column="remark11" property="remark11" jdbcType="VARCHAR" />
                                <result column="remark12" property="remark12" jdbcType="VARCHAR" />
                                <result column="remark13" property="remark13" jdbcType="VARCHAR" />
                                <result column="remark14" property="remark14" jdbcType="VARCHAR" />
                                <result column="remark15" property="remark15" jdbcType="VARCHAR" />
            </resultMap>
    <sql id="Base_Column_List" >
        <trim  suffixOverrides="," >
            id,

            del_flag,

            update_time,

            update_user,

            create_time,

            create_user,

            ar_content_id,

            type,

            remark1,

            remark2,

            remark3,

            remark4,

            remark5,

            remark6,

            remark7,

            remark8,

            remark9,

            remark10,

            remark11,

            remark12,

            remark13,

            remark14,

            remark15,

            </trim>
    </sql>
    <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Integer" >
        select
        <include refid="Base_Column_List" />
        from ar_content_child
        where id = #{id,jdbcType=INTEGER}
    </select>
    <delete id="deleteByPrimaryKey" parameterType="java.lang.Integer" >
        delete from ar_content_child
        where id = #{id,jdbcType=INTEGER}
    </delete>
    <insert id="insertSelective" parameterType="com.izouma.awesomeadmin.model.ArContentChild" useGeneratedKeys="true" keyProperty="id">
        insert into ar_content_child
        <trim prefix="(" suffix=")" suffixOverrides="," >
                <if test="id!= null" >
                id,
            </if>
                <if test="delFlag!= null" >
                del_flag,
            </if>
                <if test="updateTime!= null" >
                update_time,
            </if>
                <if test="updateUser!= null" >
                update_user,
            </if>
                <if test="createTime!= null" >
                create_time,
            </if>
                <if test="createUser!= null" >
                create_user,
            </if>
                <if test="arContentId!= null" >
                ar_content_id,
            </if>
                <if test="type!= null" >
                type,
            </if>
                <if test="remark1!= null" >
                remark1,
            </if>
                <if test="remark2!= null" >
                remark2,
            </if>
                <if test="remark3!= null" >
                remark3,
            </if>
                <if test="remark4!= null" >
                remark4,
            </if>
                <if test="remark5!= null" >
                remark5,
            </if>
                <if test="remark6!= null" >
                remark6,
            </if>
                <if test="remark7!= null" >
                remark7,
            </if>
                <if test="remark8!= null" >
                remark8,
            </if>
                <if test="remark9!= null" >
                remark9,
            </if>
                <if test="remark10!= null" >
                remark10,
            </if>
                <if test="remark11!= null" >
                remark11,
            </if>
                <if test="remark12!= null" >
                remark12,
            </if>
                <if test="remark13!= null" >
                remark13,
            </if>
                <if test="remark14!= null" >
                remark14,
            </if>
                <if test="remark15!= null" >
                remark15,
            </if>
            </trim>
        <trim prefix="values (" suffix=")" suffixOverrides="," >
                    <if test="id != null" >
                #{id,jdbcType=INTEGER},
            </if>
                    <if test="delFlag != null" >
                #{delFlag,jdbcType=CHAR},
            </if>
                    <if test="updateTime != null" >
                #{updateTime,jdbcType=TIMESTAMP},
            </if>
                    <if test="updateUser != null" >
                #{updateUser,jdbcType=VARCHAR},
            </if>
                    <if test="createTime != null" >
                #{createTime,jdbcType=TIMESTAMP},
            </if>
                    <if test="createUser != null" >
                #{createUser,jdbcType=VARCHAR},
            </if>
                    <if test="arContentId != null" >
                #{arContentId,jdbcType=VARCHAR},
            </if>
                    <if test="type != null" >
                #{type,jdbcType=VARCHAR},
            </if>
                    <if test="remark1 != null" >
                #{remark1,jdbcType=VARCHAR},
            </if>
                    <if test="remark2 != null" >
                #{remark2,jdbcType=VARCHAR},
            </if>
                    <if test="remark3 != null" >
                #{remark3,jdbcType=VARCHAR},
            </if>
                    <if test="remark4 != null" >
                #{remark4,jdbcType=VARCHAR},
            </if>
                    <if test="remark5 != null" >
                #{remark5,jdbcType=VARCHAR},
            </if>
                    <if test="remark6 != null" >
                #{remark6,jdbcType=VARCHAR},
            </if>
                    <if test="remark7 != null" >
                #{remark7,jdbcType=VARCHAR},
            </if>
                    <if test="remark8 != null" >
                #{remark8,jdbcType=VARCHAR},
            </if>
                    <if test="remark9 != null" >
                #{remark9,jdbcType=VARCHAR},
            </if>
                    <if test="remark10 != null" >
                #{remark10,jdbcType=VARCHAR},
            </if>
                    <if test="remark11 != null" >
                #{remark11,jdbcType=VARCHAR},
            </if>
                    <if test="remark12 != null" >
                #{remark12,jdbcType=VARCHAR},
            </if>
                    <if test="remark13 != null" >
                #{remark13,jdbcType=VARCHAR},
            </if>
                    <if test="remark14 != null" >
                #{remark14,jdbcType=VARCHAR},
            </if>
                    <if test="remark15 != null" >
                #{remark15,jdbcType=VARCHAR},
            </if>
                </trim>
    </insert>
    <update id="updateByPrimaryKeySelective" parameterType="com.izouma.awesomeadmin.model.ArContentChild" >
        update ar_content_child
        <set >
                    <if test="id != null" >
               id= #{id,jdbcType=INTEGER},
            </if>
                     <if test="delFlag != null" >
               del_flag= #{delFlag,jdbcType=CHAR},
            </if>
                     <if test="updateTime != null" >
               update_time= #{updateTime,jdbcType=TIMESTAMP},
            </if>
                     <if test="updateUser != null" >
               update_user= #{updateUser,jdbcType=VARCHAR},
            </if>
                     <if test="createTime != null" >
               create_time= #{createTime,jdbcType=TIMESTAMP},
            </if>
                     <if test="createUser != null" >
               create_user= #{createUser,jdbcType=VARCHAR},
            </if>
                     <if test="arContentId != null" >
               ar_content_id= #{arContentId,jdbcType=VARCHAR},
            </if>
                     <if test="type != null" >
               type= #{type,jdbcType=VARCHAR},
            </if>
                     <if test="remark1 != null" >
               remark1= #{remark1,jdbcType=VARCHAR},
            </if>
                     <if test="remark2 != null" >
               remark2= #{remark2,jdbcType=VARCHAR},
            </if>
                     <if test="remark3 != null" >
               remark3= #{remark3,jdbcType=VARCHAR},
            </if>
                     <if test="remark4 != null" >
               remark4= #{remark4,jdbcType=VARCHAR},
            </if>
                     <if test="remark5 != null" >
               remark5= #{remark5,jdbcType=VARCHAR},
            </if>
                     <if test="remark6 != null" >
               remark6= #{remark6,jdbcType=VARCHAR},
            </if>
                     <if test="remark7 != null" >
               remark7= #{remark7,jdbcType=VARCHAR},
            </if>
                     <if test="remark8 != null" >
               remark8= #{remark8,jdbcType=VARCHAR},
            </if>
                     <if test="remark9 != null" >
               remark9= #{remark9,jdbcType=VARCHAR},
            </if>
                     <if test="remark10 != null" >
               remark10= #{remark10,jdbcType=VARCHAR},
            </if>
                     <if test="remark11 != null" >
               remark11= #{remark11,jdbcType=VARCHAR},
            </if>
                     <if test="remark12 != null" >
               remark12= #{remark12,jdbcType=VARCHAR},
            </if>
                     <if test="remark13 != null" >
               remark13= #{remark13,jdbcType=VARCHAR},
            </if>
                     <if test="remark14 != null" >
               remark14= #{remark14,jdbcType=VARCHAR},
            </if>
                     <if test="remark15 != null" >
               remark15= #{remark15,jdbcType=VARCHAR},
            </if>
                 </set>
        where
        <if test="id != null and !&quot;&quot;.equals(id)">
            id = #{id,jdbcType=INTEGER}
        </if>

        <if test="idStr != null and !&quot;&quot;.equals(idStr)">
            id in (${idStr})
        </if>

    </update>
    <select id="queryArContentChildByPage" parameterType="java.util.Map" resultType="com.izouma.awesomeadmin.model.ArContentChild">
        select <include refid="Base_Column_List"/> from ar_content_child
        <where>
            and del_flag = 'N'
            <if test="record.idStr != null and !&quot;&quot;.equals(record.idStr)">
                and id in (${record.idStr})
            </if>
                    <if test="record.id != null and !&quot;&quot;.equals(record.id)">
                and  id = #{record.id}
            </if>
                     <if test="record.delFlag != null and !&quot;&quot;.equals(record.delFlag)">
                and  del_flag = #{record.delFlag}
            </if>
                     <if test="record.updateTime != null and !&quot;&quot;.equals(record.updateTime)">
                and  update_time = #{record.updateTime}
            </if>
                     <if test="record.updateUser != null and !&quot;&quot;.equals(record.updateUser)">
                and  update_user = #{record.updateUser}
            </if>
                     <if test="record.createTime != null and !&quot;&quot;.equals(record.createTime)">
                and  create_time = #{record.createTime}
            </if>
                     <if test="record.createUser != null and !&quot;&quot;.equals(record.createUser)">
                and  create_user = #{record.createUser}
            </if>
                     <if test="record.arContentId != null and !&quot;&quot;.equals(record.arContentId)">
                and  ar_content_id = #{record.arContentId}
            </if>
                     <if test="record.type != null and !&quot;&quot;.equals(record.type)">
                and  type = #{record.type}
            </if>
                     <if test="record.remark1 != null and !&quot;&quot;.equals(record.remark1)">
                and  remark1 = #{record.remark1}
            </if>
                     <if test="record.remark2 != null and !&quot;&quot;.equals(record.remark2)">
                and  remark2 = #{record.remark2}
            </if>
                     <if test="record.remark3 != null and !&quot;&quot;.equals(record.remark3)">
                and  remark3 = #{record.remark3}
            </if>
                     <if test="record.remark4 != null and !&quot;&quot;.equals(record.remark4)">
                and  remark4 = #{record.remark4}
            </if>
                     <if test="record.remark5 != null and !&quot;&quot;.equals(record.remark5)">
                and  remark5 = #{record.remark5}
            </if>
                     <if test="record.remark6 != null and !&quot;&quot;.equals(record.remark6)">
                and  remark6 = #{record.remark6}
            </if>
                     <if test="record.remark7 != null and !&quot;&quot;.equals(record.remark7)">
                and  remark7 = #{record.remark7}
            </if>
                     <if test="record.remark8 != null and !&quot;&quot;.equals(record.remark8)">
                and  remark8 = #{record.remark8}
            </if>
                     <if test="record.remark9 != null and !&quot;&quot;.equals(record.remark9)">
                and  remark9 = #{record.remark9}
            </if>
                     <if test="record.remark10 != null and !&quot;&quot;.equals(record.remark10)">
                and  remark10 = #{record.remark10}
            </if>
                     <if test="record.remark11 != null and !&quot;&quot;.equals(record.remark11)">
                and  remark11 = #{record.remark11}
            </if>
                     <if test="record.remark12 != null and !&quot;&quot;.equals(record.remark12)">
                and  remark12 = #{record.remark12}
            </if>
                     <if test="record.remark13 != null and !&quot;&quot;.equals(record.remark13)">
                and  remark13 = #{record.remark13}
            </if>
                     <if test="record.remark14 != null and !&quot;&quot;.equals(record.remark14)">
                and  remark14 = #{record.remark14}
            </if>
                     <if test="record.remark15 != null and !&quot;&quot;.equals(record.remark15)">
                and  remark15 = #{record.remark15}
            </if>
                  <if test="record.searchKey != null and !&quot;&quot;.equals(record.searchKey)">
             <trim prefix="and (" suffix=")" prefixOverrides="OR" >
                                                                                                                                                                                                                                                                                                                                                                                                                                    OR  ar_content_id LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  type LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  remark1 LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  remark2 LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  remark3 LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  remark4 LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  remark5 LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  remark6 LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  remark7 LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  remark8 LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  remark9 LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  remark10 LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  remark11 LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  remark12 LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  remark13 LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  remark14 LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  remark15 LIKE concat('%',#{record.searchKey},'%')
                                                             </trim>
         </if>

            <if test="record.advancedQuery != null and !&quot;&quot;.equals(record.advancedQuery)">
                <foreach item="item" index="index" collection="record.advancedQuery.split('_;')">
                    <choose>
                        <when test="item.indexOf('like') != -1">
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    concat('%',#{itemDetail},'%')
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </when>
                        <otherwise>
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    #{itemDetail}
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </otherwise>
                    </choose>


                </foreach>


            </if>

        </where>
        order by

        <if test="record.orderByStr != null and !&quot;&quot;.equals(record.orderByStr)">


            <trim suffixOverrides=",">
                <foreach item="item" index="index" separator="," collection="record.orderByStr.split('_;')">
                    <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                        ${itemDetail}
                    </foreach>
                </foreach>
            </trim>
            ,
        </if>
        id desc
    </select>
    <select id="queryAllArContentChild" parameterType="java.util.Map" resultType="com.izouma.awesomeadmin.model.ArContentChild">
        select <include refid="Base_Column_List"/> from ar_content_child
        <where>
            and del_flag = 'N'
            <if test="idStr != null and !&quot;&quot;.equals(idStr)">
                and id in (${idStr})
            </if>
                    <if test="id != null and !&quot;&quot;.equals(id)">
                and  id = #{id}
            </if>
                    <if test="delFlag != null and !&quot;&quot;.equals(delFlag)">
                and  del_flag = #{delFlag}
            </if>
                    <if test="updateTime != null and !&quot;&quot;.equals(updateTime)">
                and  update_time = #{updateTime}
            </if>
                    <if test="updateUser != null and !&quot;&quot;.equals(updateUser)">
                and  update_user = #{updateUser}
            </if>
                    <if test="createTime != null and !&quot;&quot;.equals(createTime)">
                and  create_time = #{createTime}
            </if>
                    <if test="createUser != null and !&quot;&quot;.equals(createUser)">
                and  create_user = #{createUser}
            </if>
                    <if test="arContentId != null and !&quot;&quot;.equals(arContentId)">
                and  ar_content_id = #{arContentId}
            </if>
                    <if test="type != null and !&quot;&quot;.equals(type)">
                and  type = #{type}
            </if>
                    <if test="remark1 != null and !&quot;&quot;.equals(remark1)">
                and  remark1 = #{remark1}
            </if>
                    <if test="remark2 != null and !&quot;&quot;.equals(remark2)">
                and  remark2 = #{remark2}
            </if>
                    <if test="remark3 != null and !&quot;&quot;.equals(remark3)">
                and  remark3 = #{remark3}
            </if>
                    <if test="remark4 != null and !&quot;&quot;.equals(remark4)">
                and  remark4 = #{remark4}
            </if>
                    <if test="remark5 != null and !&quot;&quot;.equals(remark5)">
                and  remark5 = #{remark5}
            </if>
                    <if test="remark6 != null and !&quot;&quot;.equals(remark6)">
                and  remark6 = #{remark6}
            </if>
                    <if test="remark7 != null and !&quot;&quot;.equals(remark7)">
                and  remark7 = #{remark7}
            </if>
                    <if test="remark8 != null and !&quot;&quot;.equals(remark8)">
                and  remark8 = #{remark8}
            </if>
                    <if test="remark9 != null and !&quot;&quot;.equals(remark9)">
                and  remark9 = #{remark9}
            </if>
                    <if test="remark10 != null and !&quot;&quot;.equals(remark10)">
                and  remark10 = #{remark10}
            </if>
                    <if test="remark11 != null and !&quot;&quot;.equals(remark11)">
                and  remark11 = #{remark11}
            </if>
                    <if test="remark12 != null and !&quot;&quot;.equals(remark12)">
                and  remark12 = #{remark12}
            </if>
                    <if test="remark13 != null and !&quot;&quot;.equals(remark13)">
                and  remark13 = #{remark13}
            </if>
                    <if test="remark14 != null and !&quot;&quot;.equals(remark14)">
                and  remark14 = #{remark14}
            </if>
                    <if test="remark15 != null and !&quot;&quot;.equals(remark15)">
                and  remark15 = #{remark15}
            </if>
                    <if test="searchKey != null and !&quot;&quot;.equals(searchKey)">
                <trim prefix="and (" suffix=")" prefixOverrides="OR" >
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                OR  ar_content_id LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  type LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  remark1 LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  remark2 LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  remark3 LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  remark4 LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  remark5 LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  remark6 LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  remark7 LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  remark8 LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  remark9 LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  remark10 LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  remark11 LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  remark12 LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  remark13 LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  remark14 LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  remark15 LIKE concat('%',#{searchKey},'%')
                                                                                        </trim>
            </if>
<if test="advancedQuery != null and !&quot;&quot;.equals(advancedQuery)">
    <foreach item="item" index="index" collection="advancedQuery.split('_;')">
        <choose>
            <when test="item.indexOf('like') != -1">
                <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                    <if test="detailIndex == 3">
                        concat('%',#{itemDetail},'%')
                    </if>

                    <if test="detailIndex &lt; 3">
                        ${itemDetail}
                    </if>

                </foreach>
            </when>
            <otherwise>
                <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                    <if test="detailIndex == 3">
                        #{itemDetail}
                    </if>

                    <if test="detailIndex &lt; 3">
                        ${itemDetail}
                    </if>

                </foreach>
            </otherwise>
        </choose>


    </foreach>


</if>
        </where>
        order by

        <if test="orderByStr != null and !&quot;&quot;.equals(orderByStr)">


            <trim suffixOverrides=",">
                <foreach item="item" index="index" separator="," collection="orderByStr.split('_;')">
                    <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                        ${itemDetail}
                    </foreach>
                </foreach>
            </trim>
            ,
        </if>

        id desc
    </select>
    <select id="queryArContentChild" parameterType="java.util.Map" resultType="com.izouma.awesomeadmin.model.ArContentChild">
        select <include refid="Base_Column_List"/> from ar_content_child
        <where>
            and del_flag = 'N'
                    <if test="id != null and !&quot;&quot;.equals(id)">
                and id = #{id}
            </if>
                     <if test="delFlag != null and !&quot;&quot;.equals(delFlag)">
                and del_flag = #{delFlag}
            </if>
                     <if test="updateTime != null and !&quot;&quot;.equals(updateTime)">
                and update_time = #{updateTime}
            </if>
                     <if test="updateUser != null and !&quot;&quot;.equals(updateUser)">
                and update_user = #{updateUser}
            </if>
                     <if test="createTime != null and !&quot;&quot;.equals(createTime)">
                and create_time = #{createTime}
            </if>
                     <if test="createUser != null and !&quot;&quot;.equals(createUser)">
                and create_user = #{createUser}
            </if>
                     <if test="arContentId != null and !&quot;&quot;.equals(arContentId)">
                and ar_content_id = #{arContentId}
            </if>
                     <if test="type != null and !&quot;&quot;.equals(type)">
                and type = #{type}
            </if>
                     <if test="remark1 != null and !&quot;&quot;.equals(remark1)">
                and remark1 = #{remark1}
            </if>
                     <if test="remark2 != null and !&quot;&quot;.equals(remark2)">
                and remark2 = #{remark2}
            </if>
                     <if test="remark3 != null and !&quot;&quot;.equals(remark3)">
                and remark3 = #{remark3}
            </if>
                     <if test="remark4 != null and !&quot;&quot;.equals(remark4)">
                and remark4 = #{remark4}
            </if>
                     <if test="remark5 != null and !&quot;&quot;.equals(remark5)">
                and remark5 = #{remark5}
            </if>
                     <if test="remark6 != null and !&quot;&quot;.equals(remark6)">
                and remark6 = #{remark6}
            </if>
                     <if test="remark7 != null and !&quot;&quot;.equals(remark7)">
                and remark7 = #{remark7}
            </if>
                     <if test="remark8 != null and !&quot;&quot;.equals(remark8)">
                and remark8 = #{remark8}
            </if>
                     <if test="remark9 != null and !&quot;&quot;.equals(remark9)">
                and remark9 = #{remark9}
            </if>
                     <if test="remark10 != null and !&quot;&quot;.equals(remark10)">
                and remark10 = #{remark10}
            </if>
                     <if test="remark11 != null and !&quot;&quot;.equals(remark11)">
                and remark11 = #{remark11}
            </if>
                     <if test="remark12 != null and !&quot;&quot;.equals(remark12)">
                and remark12 = #{remark12}
            </if>
                     <if test="remark13 != null and !&quot;&quot;.equals(remark13)">
                and remark13 = #{remark13}
            </if>
                     <if test="remark14 != null and !&quot;&quot;.equals(remark14)">
                and remark14 = #{remark14}
            </if>
                     <if test="remark15 != null and !&quot;&quot;.equals(remark15)">
                and remark15 = #{remark15}
            </if>
         
        </where>
        LIMIT 1
    </select>
    <update id="delete">
        UPDATE ar_content_child SET del_flag = 'Y'
        where
        <if test="id != null and !&quot;&quot;.equals(id)">
            id = #{id,jdbcType=INTEGER}
        </if>

        <if test="idStr != null and !&quot;&quot;.equals(idStr)">
            id in (${idStr})
        </if>
    </update>
    <select id="query" parameterType="java.util.Map" resultType="com.izouma.awesomeadmin.model.ArContentChild">
        select <include refid="Base_Column_List"/> from ar_content_child
        <where>
            and del_flag = 'N'
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </where>
        order by id desc
    </select>
</mapper>

